Get a project
GET
/projects/{project_id}Base URL
https://arcus.testsigma.com/api/v1Retrieves the details of a specific project by its unique identifier.
Authenticate with your API key as a
Bearer token in the Authorization header. How to authenticate →Path parameters
project_id | Unique identifier of the project to retrieve. |
Response attributes
message | Status message for the request; may be empty. |
data.project.id | Unique identifier of the project. |
data.project.created_at | Unix timestamp of when the project was created. |
data.project.updated_at | Unix timestamp of the last update to the project. |
data.project.name | Name of the project. |
data.project.description | Description of the project. |
data.project.human_id_prefix | Prefix used for the project's human-readable identifier. |
Request
curl -X GET \
'https://arcus.testsigma.com/api/v1/projects/{project_id}' \
-H 'Authorization: Bearer <API_KEY>' \
-H 'Content-Type: application/json'const response = await fetch('https://arcus.testsigma.com/api/v1/projects/{project_id}', {
method: 'GET',
headers: {
'Authorization': 'Bearer <API_KEY>',
'Content-Type': 'application/json'
}
});
const data = await response.json();import requests
response = requests.get(
'https://arcus.testsigma.com/api/v1/projects/{project_id}',
headers={
'Authorization': 'Bearer <API_KEY>',
'Content-Type': 'application/json'
}
)
data = response.json()Response200 OK
{
"message": "",
"data": {
"project": {
"id": "18c50239-946d-428e-aa0c-260329f5c151",
"created_at": 1709452800,
"updated_at": 1712131200,
"name": "Health Care Project",
"description": "Regression suite for the patient portal",
"human_id_prefix": "HCP"
}
}
}Was this page helpful?
Thanks for the feedback.